Package ru.bitel.bgbilling.modules.inet.common.bean

# Class TrafficMaxDetailReport

java.lang.Object
ru.bitel.bgbilling.modules.inet.common.bean.TrafficMaxDetailReport

public class TrafficMaxDetailReport extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrafficMaxDetailReport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getMode()`
  `String`
  `getTitle()`
  `List<TrafficMaxDetail>`
  `getTrafficMaxDetailList()`
  `int`
  `getTrafficTypeId1()`
  `int`
  `getTrafficTypeId2()`
  `long`
  `getTreeNodeId()`
  `TrafficMaxDetailReport`
  `setMode(int mode)`
  `TrafficMaxDetailReport`
  `setTitle(String title)`
  `TrafficMaxDetailReport`
  `setTrafficMaxDetailList(List<TrafficMaxDetail> trafficMaxDetailList)`
  `TrafficMaxDetailReport`
  `setTrafficTypeId1(int trafficTypeId1)`
  `TrafficMaxDetailReport`
  `setTrafficTypeId2(int trafficTypeId2)`
  `TrafficMaxDetailReport`
  `setTreeNodeId(long treeNodeId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TrafficMaxDetailReport

    public TrafficMaxDetailReport()

- ## Method Details

  - ### getTreeNodeId

    public long getTreeNodeId()

  - ### setTreeNodeId

    public TrafficMaxDetailReport setTreeNodeId(long treeNodeId)

  - ### getMode

    public int getMode()

  - ### setMode

    public TrafficMaxDetailReport setMode(int mode)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public TrafficMaxDetailReport setTitle(String title)

  - ### getTrafficTypeId1

    public int getTrafficTypeId1()

  - ### setTrafficTypeId1

    public TrafficMaxDetailReport setTrafficTypeId1(int trafficTypeId1)

  - ### getTrafficTypeId2

    public int getTrafficTypeId2()

  - ### setTrafficTypeId2

    public TrafficMaxDetailReport setTrafficTypeId2(int trafficTypeId2)

  - ### getTrafficMaxDetailList

    public List<TrafficMaxDetail> getTrafficMaxDetailList()

  - ### setTrafficMaxDetailList

    public TrafficMaxDetailReport setTrafficMaxDetailList(List<TrafficMaxDetail> trafficMaxDetailList)